## dino-im 0.5.0

=== debian/changelog ===
dino-im (0.5.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Martin <debacle@debian.org>  Mon, 21 Apr 2025 19:38:54 +0000

dino-im (0.5.0-1) unstable; urgency=medium

  * New upstream version
    - defaults to OMEMO now (Closes:  #1076963)
    - does support webrtc-audio-processing >= 1 (Closes: 1093999)
  * Move build system from cmake+ninja to meson
  * Fix VERSION in About dialog
  * Do not rename binary "dino" to "dino-im" anymore
  * Use new set-install-rpath option
  * Recommend webp-pixbuf-loader
  * Use libomemo-c instead of libsignal-protocol-c
    [ Pirate Praveen <praveen@debian.org> 2024-04-10 ]
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Martin <debacle@debian.org>  Fri, 11 Apr 2025 17:07:22 +0000

=== debian/watch ===
version=4
opts="searchmode=plain, \
pgpsigurlmangle=s/$/.asc/, \
filenamemangle=s/.+\/dino-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/dino/dino/releases https://github.com/dino/dino/releases/download/[^/]+/dino@ANY_VERSION@@ARCHIVE_EXT@

## dino-im 0.5.0+git20250615.dbedfe3

=== debian/changelog ===
dino-im (0.5.0+git20250615.dbedfe3-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Mon, 23 Jun 2025 17:29:45 +0000

=== debian/control ===
Source: dino-im
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>,
           Taowa <taowa@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
	gettext,
	libadwaita-1-dev,
	libgcrypt20-dev,
	libgee-0.8-dev,
	libglib2.0-dev,
	libgpgme-dev,
	libgspell-1-dev,
	libgstreamer-plugins-base1.0-dev,
	libgstreamer1.0-dev,
	libgtk-4-dev,
	libicu-dev,
	libnice-dev,
	libnotify-dev,
	libqrencode-dev,
	libomemo-c-dev,
	libsoup-3.0-dev,
	libsqlite3-dev,
	libsrtp2-dev,
	libwebrtc-audio-processing-dev,
	meson,
	ninja-build,
	valac,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://dino.im
Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im
Vcs-Git: https://salsa.debian.org/xmpp-team/dino-im.git

Package: dino-im
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends},
	dino-im-common (= ${source:Version}),
	libgtk-4-media-gstreamer,
	libgstreamer-plugins-base1.0-0,
Recommends: ca-certificates,
	dbus,
	fonts-noto-color-emoji,
	network-manager,
	webp-pixbuf-loader,
Breaks: dino-im-common (<< 0.1.0-5~)
Replaces: dino-im-common (<< 0.1.0-5~)
Description: modern XMPP client
 Dino is a modern XMPP/Jabber client with a nice and clean look.
 It does support OMEMO and OpenPGP for end-to-end encryption
 and encrypted audio/video calls between two or more people.
 If you are looking for a Conversations look-alike, this
 program might be for you.

Package: dino-im-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: dino-im (<< 0.1.0-5~)
Description: modern XMPP client - common files
 Dino is a modern XMPP/Jabber client with a nice and clean look.
 It does support OMEMO and OpenPGP for end-to-end encryption
 and encrypted audio/video calls between two or more people.
 If you are looking for a Conversations look-alike, this
 program might be for you.
 .
 This package contains platform independent files.

## dino-im 0.5.0+git20251115.1deacee

=== meson_options.txt ===
option('plugindir', type: 'string', value: 'dino/plugins', description: 'Dino plugin directory, relative to libdir')

option('set-install-rpath', type: 'boolean', value: false, description: 'Set rpath of installed binaries to the configured libdir')

option('plugin-http-files', type: 'feature', value: 'enabled', description: 'HTTP file upload')
option('plugin-ice', type: 'feature', value: 'enabled', description: 'Peer-to-peer communication')
option('plugin-omemo', type: 'feature', value: 'enabled', description: 'End-to-end encryption using OMEMO')
option('plugin-openpgp', type: 'feature', value: 'auto', description: 'End-to-end encryption using PGP')
option('plugin-rtp', type: 'feature', value: 'enabled', description: 'Voice/video calls')
option('plugin-notification-sound', type: 'feature', value: 'disabled', description: 'Sound for chat notifications')

option('plugin-rtp-h264', type: 'feature', value: 'disabled', description: 'H264 codec')
option('plugin-rtp-msdk', type: 'feature', value: 'disabled', description: 'Intel MediaSDK')
option('plugin-rtp-vaapi', type: 'feature', value: 'disabled', description: 'Video Acceleration API')
option('plugin-rtp-vp9', type: 'feature', value: 'disabled', description: 'VP9 codec')
option('plugin-rtp-webrtc-audio-processing', value: 'auto', type: 'feature', description: 'Voice preprocessing')

=== debian/changelog ===
dino-im (0.5.0+git20251115.1deacee-1) experimental; urgency=medium

  * New upstream snapshot
  * Drop R³: no, it's the default now
  * Move -dev packages to Build-Depends-Arch

 -- Martin <debacle@debian.org>  Sat, 15 Nov 2025 18:35:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	gettext,
+	meson,
+	ninja-build,
+	valac,
+Build-Depends-Arch:
 	libadwaita-1-dev,
 	libgcrypt20-dev,
 	libgee-0.8-dev,
@@ -24,11 +28,7 @@
 	libsqlite3-dev,
 	libsrtp2-dev,
 	libwebrtc-audio-processing-dev,
-	meson,
-	ninja-build,
-	valac,
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Homepage: https://dino.im
 Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im
 Vcs-Git: https://salsa.debian.org/xmpp-team/dino-im.git

## dino-im 0.5.1

=== meson_options.txt ===
option('plugindir', type: 'string', value: 'dino/plugins', description: 'Dino plugin directory, relative to libdir')

option('set-install-rpath', type: 'boolean', value: false, description: 'Set rpath of installed binaries to the configured libdir')

option('plugin-http-files', type: 'feature', description: 'HTTP file upload')
option('plugin-ice', type: 'feature', description: 'Peer-to-peer communication')
option('plugin-omemo', type: 'feature', description: 'End-to-end encryption using OMEMO')
option('plugin-openpgp', type: 'feature', description: 'End-to-end encryption using PGP')
option('plugin-rtp', type: 'feature', description: 'Voice/video calls')
option('plugin-notification-sound', type: 'feature', value: 'disabled', description: 'Sound for chat notifications')

option('plugin-rtp-h264', type: 'feature', value: 'disabled', description: 'H264 codec')
option('plugin-rtp-msdk', type: 'feature', value: 'disabled', description: 'Intel MediaSDK')
option('plugin-rtp-vaapi', type: 'feature', value: 'disabled', description: 'Video Acceleration API')
option('plugin-rtp-vp9', type: 'feature', value: 'disabled', description: 'VP9 codec')
option('plugin-rtp-webrtc-audio-processing', type: 'feature', description: 'Voice preprocessing')

=== debian/changelog ===
dino-im (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Drop R³: no, it's the default now

 -- Martin <debacle@debian.org>  Sat, 15 Nov 2025 23:53:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,6 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	gettext,
-	meson,
-	ninja-build,
-	valac,
-Build-Depends-Arch:
 	libadwaita-1-dev,
 	libgcrypt20-dev,
 	libgee-0.8-dev,
@@ -28,6 +24,9 @@
 	libsqlite3-dev,
 	libsrtp2-dev,
 	libwebrtc-audio-processing-dev,
+	meson,
+	ninja-build,
+	valac,
 Standards-Version: 4.7.0
 Homepage: https://dino.im
 Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im

## dino-im 0.5.1+git20251115.1deacee

=== debian/changelog ===
dino-im (0.5.1+git20251115.1deacee-1) experimental; urgency=medium

  * Build upstream snapshot with new version number (no change)

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 00:35:39 +0000

dino-im (0.5.0+git20251115.1deacee-2) experimental; urgency=medium

  * Revert Build-Depends-Arch change

 -- Martin <debacle@debian.org>  Sat, 15 Nov 2025 21:52:45 +0000

## dino-im 0.5.1+git20260214.3b274a6

=== debian/changelog ===
dino-im (0.5.1+git20260214.3b274a6-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 15 Feb 2026 10:43:52 +0000
